/*dfLink.h - Library for dfLink.
  Created by Daisuke DOYO, November 21, 2020.
  Updated by Daisuke DOYO, Feb 17, 2023.
  Updated by Daisuke DOYO, Jun 17, 2023.
  Released into the local domain.*/

#include "Arduino.h"
#include <HTTPClient.h>
#include "dfLink.h"


dfLink::dfLink(String pkey){
    _pkey=pkey;
}


String dfLink::turn_switch(){
    String ret;
    String tdata;
    _host="https://doyolab.net/appli/dflink/add";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    tdata="https://doyolab.net/appli/dflink/turn/" + _pkey;

    String params= "pkey="+_pkey;
    params=params+"&text_data="+ tdata;


    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
String dfLink::get_data(String field){
    // fieldは"int","float", "string"
    String ret;
    _host="https://doyolab.net/appli/dflink/raw_data";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    // IoT機器からからのリクエスト(from_iot)を1
    String params= "pkey="+ _pkey+"&from_iot=1"+"&selected_field="+field;

    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
String dfLink::send_data(String idata, String fdata,String tdata){
    String ret;
    _host="https://doyolab.net/appli/dflink/add";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    String params= "pkey="+_pkey;
    if(idata!="") {
        params=params+"&int_data="+ idata;
    }
    if(fdata!="") {
        params=params+"&float_data="+ fdata;
    }
    if(tdata!="") {
        params=params+"&text_data="+ tdata;
    }
    
//    String params= "user_key="+user_key+"&sub_id="+sub_id+"&int_data="+ String(idata);
//        +"&float_data="+ String(fdata)+"&text_data="+ tdata;
    
    
    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
String dfLink::send_To_LINE(String token,String msg){
    String ret;
    _host="https://doyolab.net/appli/dflink/line";
    http.begin(_host);
    http.addHeader("Content-Type", "application/x-www-form-urlencoded");
    String params= "token="+token+"&message="+msg;
    int httpCode = http.POST(params);
    if (httpCode > 0) {
        String payload = http.getString();
        ret = payload;
    } else {
    // コネクションエラーになるとマイナスが返る
        ret = "[HTTPS] no connection or no HTTP server.";
    }
    http.end();
    return ret;
}
