#include <M5StickC.h>

#include <dfLink.h>
#include <WiFi.h>


//使用環境に応じて変更-----------------------------------------------------
const char* ssid     = "";//繋げたいネットワーク
const char* password = "";//繋げたいネットワークのパスワード
String pkey = "";//端末ID
//-------------------------------------------------------------------

//dfLinkインスタンス化-->conn1とよぶ
dfLink conn1(pkey);

void setup(){
    Serial.begin(115200);
    M5.begin();
    M5.Lcd.setRotation(3); // 横向きにする
   
    // text print
    M5.Lcd.fillScreen(BLACK);
    M5.Lcd.setCursor(10, 10);
    M5.Lcd.setTextColor(WHITE);
    M5.Lcd.setTextSize(1);
    M5.Lcd.println("Boot Complete");
    
    WiFi.begin(ssid, password);
    M5.Lcd.println("WiFi connecting");
    while ((!(WiFi.status() == WL_CONNECTED))){
      delay(300);
      M5.Lcd.println(".");
    }

    M5.Lcd.println("WiFi connected");
   
}

void loop(){
    //必要に応じて変更-->センサーなどから値を取得（例では直接変数に代入）-------
  int idata=0;
  float fdata=1.5;
  String tdata="test";
  M5.update();
  M5.Lcd.fillScreen(BLACK);
  M5.Lcd.setCursor(0, 10);
  M5.Lcd.setTextSize(2.0);
  M5.Lcd.println("Sending");
  //-----------------------------
  //引数はintデータ、floatデータ、テキストデータの順番
  //intデータ、floatデータはStringに変換する
  String ret=conn1.send_data(String(idata),String(fdata),tdata);
  //必要なデータだけ送信したい場合は下記のように、不要なデータは""と空にする
  //String ret=conn1.send_data("",String(fdata),"");
  //String ret=conn1.send_data(String(idata),"",tdata);
  
  M5.update();
  M5.Lcd.fillScreen(BLACK);
  M5.Lcd.setCursor(0, 10);
  M5.Lcd.setTextSize(2.0);
  M5.Lcd.println(ret);
  delay(10000); // 間隔を設定 1秒は1000　1分は60000　間隔はサーバー負荷を減らすため1分以上でお願いします。


 
}
