#include <M5StickC.h>

#include <dfLink.h>
#include <WiFi.h>


//使用環境に応じて変更-----------------------------------------------------
const char* ssid     = "";//繋げたいネットワーク
const char* password = "";//繋げたいネットワークのパスワード
String pkey = "";//端末ID
//-------------------------------------------------------------------

//dfLinkインスタンス化-->conn1とよぶ
dfLink conn1(pkey);

void setup(){
    Serial.begin(115200);
    M5.begin();
    M5.Lcd.setRotation(3); // 横向きにする
   
    // text print
    M5.Lcd.fillScreen(BLACK);
    M5.Lcd.setCursor(10, 10);
    M5.Lcd.setTextColor(WHITE);
    M5.Lcd.setTextSize(1);
    M5.Lcd.println("Boot Complete");
    
    WiFi.begin(ssid, password);
    M5.Lcd.println("WiFi connecting");
    while ((!(WiFi.status() == WL_CONNECTED))){
      delay(300);
      M5.Lcd.println(".");
    }
    M5.Lcd.fillScreen(BLACK);
    M5.Lcd.setCursor(0, 10);
    M5.Lcd.setTextSize(2.0);
    M5.Lcd.println("WiFi connected");
   
}

void loop(){
  M5.update();
  if ( M5.BtnA.wasPressed() ) {
    M5.Lcd.fillScreen(BLACK);
    M5.Lcd.setCursor(0, 10);
    M5.Lcd.setTextSize(2.0);
    M5.Lcd.println("Pushed");

    // get_dataの引数は"int","float", "string"のいずれかを指定
    String ret=conn1.get_data("string");
    M5.Lcd.fillScreen(BLACK);
    M5.Lcd.setCursor(0, 10);
    M5.Lcd.setTextSize(2.0);
    M5.Lcd.println(ret);
    
  }
 
}
